Bug 473461 - User switcher should disable itself if user switching is not available.
User switcher should disable itself if user switching is not available.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 11:19 EST by Franck WIATROWSKI
Modified: 2015-01-14 18:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:00:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Franck WIATROWSKI 2008-11-28 11:19:43 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc10 Firefox/3.0.4

when i try to switch user with "gdm-user-switch-applet" il have this error message. I use gnome+KDM 

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Jayson King 2008-11-28 19:32:00 EST
I confirm this. I use XFCE and I switched to using KDM instead of GDM because of bug 433649. Now the "Switch User" function on the lock screen does not work.

The error message is shown after the session has been unlocked:

"Unable to start new display"

"The name org.gnome.DisplayManager was not provided by any .service files"
Comment 2 Ray Strode [halfline] 2008-12-01 14:35:16 EST
User switching requires gdm.  We could hide or desensitize the UI if gdm isn't running, but it's not going to function without gdm.
Comment 3 Franck WIATROWSKI 2008-12-01 15:18:04 EST
ok for that, but t think, it's a good idea to use "user switching" without having a particular session manager. We could  have the choice of session or desktop environment. Actually, cause of new gdm (without gdmsetup), a big number of user switch to KDE. It's a real problem.
Comment 4 Franck WIATROWSKI 2008-12-01 15:26:10 EST
Sorry, i write KDE instead of KDM.
Comment 5 Ray Strode [halfline] 2008-12-01 15:50:12 EST
GDM is what does the user switching, though.  Each user session is running on a separate display, so you need a display manager to manage switching between the displays...
Comment 6 Franck WIATROWSKI 2008-12-01 15:58:09 EST
i knew that, but i thought we could use another mecanism. Anyway , must wait now for a better gdm (actually using KDM) . Any information of new gdm?
Comment 7 Bug Zapper 2009-11-18 04:02:07 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:00:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.